Bug 1171998 - (CVE-2020-11078) VUL-0: CVE-2020-11078: python-httplib2: attacker controlling unescaped part of uri for `httplib2.Http.request()` could change request headers and body
(CVE-2020-11078)
VUL-0: CVE-2020-11078: python-httplib2: attacker controlling unescaped part ...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Robert Schweikert
Security Team bot
https://smash.suse.de/issue/259707/
CVSSv3.1:SUSE:CVE-2020-11078:6.8:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-22 12:35 UTC by Robert Frohl
Modified: 2023-01-13 08:21 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2020-05-22 12:35:32 UTC
CVE-2020-11078

In httplib2 before version 0.18.0, an attacker controlling unescaped part
of uri for `httplib2.Http.request()` could change request headers and body,
send additional hidden requests to same server. This vulnerability impacts
software that uses httplib2 with uri constructed by string concatenation,
as opposed to proper urllib building with escaping. This has been fixed in
0.18.0.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-11078
http://people.canonical.com/~ubuntu-security/cve/2020/CVE-2020-11078.html
Comment 1 Robert Frohl 2020-05-22 12:36:38 UTC
judging by the patch, all codestreams are affected:
- SUSE:SLE-11-SP3:Update:Teradata
- SUSE:SLE-12:Update
- SUSE:SLE-12-SP3:Update:Products:Cloud8:Update
- SUSE:SLE-12-SP4:Update:Products:Cloud9:Update
- SUSE:SLE-15-SP1:Update
- SUSE:SLE-15:Update
Comment 3 OBSbugzilla Bot 2021-05-18 22:20:04 UTC
This is an autogenerated message for OBS integration:
This bug (1171998) was mentioned in
https://build.opensuse.org/request/show/894163 Factory / python-httplib2
Comment 4 Swamp Workflow Management 2021-05-19 16:20:42 UTC
SUSE-SU-2021:1637-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1171998,1182053
CVE References: CVE-2020-11078,CVE-2021-21240
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15 (src):    python-httplib2-0.19.0-1.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2021-05-23 07:16:21 UTC
openSUSE-SU-2021:0772-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1171998,1182053
CVE References: CVE-2020-11078,CVE-2021-21240
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    python-httplib2-0.19.0-lp152.6.3.1
Comment 6 Swamp Workflow Management 2021-05-26 16:17:16 UTC
openSUSE-SU-2021:0796-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1171998,1182053
CVE References: CVE-2020-11078,CVE-2021-21240
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP2 (src):    python-httplib2-0.19.0-bp152.3.3.1
Comment 7 Swamp Workflow Management 2021-05-27 13:17:19 UTC
SUSE-SU-2021:1779-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1171998,1182053
CVE References: CVE-2020-11078,CVE-2021-21240
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    python-httplib2-0.19.0-8.3.4
SUSE OpenStack Cloud 9 (src):    python-httplib2-0.19.0-8.3.4

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2021-05-31 19:27:16 UTC
SUSE-SU-2021:1807-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1171998,1182053
CVE References: CVE-2020-11078,CVE-2021-21240
JIRA References: 
Sources used:
SUSE OpenStack Cloud 7 (src):    python-httplib2-0.19.0-7.7.1
SUSE Linux Enterprise Module for Public Cloud 12 (src):    python-httplib2-0.19.0-7.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2021-05-31 19:29:31 UTC
SUSE-SU-2021:1806-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1171998,1182053
CVE References: CVE-2020-11078,CVE-2021-21240
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    python-httplib2-0.19.0-3.3.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    python-httplib2-0.19.0-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    python-httplib2-0.19.0-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    python-httplib2-0.19.0-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2021-05-31 19:31:47 UTC
SUSE-SU-2021:1808-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1171998,1182053
CVE References: CVE-2020-11078,CVE-2021-21240
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    python-httplib2-0.19.0-7.3.1
SUSE OpenStack Cloud 8 (src):    python-httplib2-0.19.0-7.3.1
HPE Helion Openstack 8 (src):    python-httplib2-0.19.0-7.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2021-07-11 17:08:18 UTC
openSUSE-SU-2021:1806-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1171998,1182053
CVE References: CVE-2020-11078,CVE-2021-21240
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    python-httplib2-0.19.0-3.3.1